Loading...
Searching...
No Matches
OPARMS Struct Reference

`#include <csoundCore.h>`

## Data Fields

int | odebug
int | sfread
int | sfwrite
int | sfheader
int | filetyp
int | inbufsamps
int | outbufsamps
int | informat
int | outformat
int | sfsampsize
int | displays
int | graphsoff
int | postscript
int | msglevel
int | Beatmode
int | oMaxLag
int | usingcscore
int | Linein
int | RTevents
int | Midiin
int | FMidiin
int | RMidiin
int | ringbell
int | termifend
int | rewrt_hdr
int | heartbeat
int | gen01defer
double | cmdTempo
float | sr_override
float | kr_override
int | nchnls_override
int | nchnls_i_override
char * | infilename
char * | outfilename
CORFIL * | playscore
char * | Linename
char * | Midiname
char * | FMidiname
char * | Midioutname
char * | FMidioutname
int | midiKey
int | midiKeyCps
int | midiKeyOct
int | midiKeyPch
int | midiVelocity
int | midiVelocityAmp
int | noDefaultPaths
int | numThreads
int | syntaxCheckOnly
int | useCsdLineCounts
int | sampleAccurate
int | realtime
MYFLT | e0dbfs_override
int | daemon
double | quality
int | ksmps_override
int | fft_lib
int | echo
MYFLT | limiter
float | sr_default
float | kr_default

## Field Documentation

## Beatmode

int OPARMS::Beatmode

## cmdTempo

double OPARMS::cmdTempo

## daemon

int OPARMS::daemon

## displays

int OPARMS::displays

## e0dbfs_override

MYFLT OPARMS::e0dbfs_override

## echo

int OPARMS::echo

## fft_lib

int OPARMS::fft_lib

## filetyp

int OPARMS::filetyp

## FMidiin

int OPARMS::FMidiin

## FMidiname

char * OPARMS::FMidiname

## FMidioutname

char* OPARMS::FMidioutname

## gen01defer

int OPARMS::gen01defer

## graphsoff

int OPARMS::graphsoff

## heartbeat

int OPARMS::heartbeat

## inbufsamps

int OPARMS::inbufsamps

## infilename

char* OPARMS::infilename

## informat

int OPARMS::informat

## kr_default

float OPARMS::kr_default

## kr_override

float OPARMS::kr_override

## ksmps_override

int OPARMS::ksmps_override

## limiter

MYFLT OPARMS::limiter

## Linein

int OPARMS::Linein

## Linename

char* OPARMS::Linename

## Midiin

int OPARMS::Midiin

## midiKey

int OPARMS::midiKey

## midiKeyCps

int OPARMS::midiKeyCps

## midiKeyOct

int OPARMS::midiKeyOct

## midiKeyPch

int OPARMS::midiKeyPch

## Midiname

char * OPARMS::Midiname

## Midioutname

char* OPARMS::Midioutname

## midiVelocity

int OPARMS::midiVelocity

## midiVelocityAmp

int OPARMS::midiVelocityAmp

## msglevel

int OPARMS::msglevel

## nchnls_i_override

int OPARMS::nchnls_i_override

## nchnls_override

int OPARMS::nchnls_override

## noDefaultPaths

int OPARMS::noDefaultPaths

## numThreads

int OPARMS::numThreads

## odebug

int OPARMS::odebug

## oMaxLag

int OPARMS::oMaxLag

## outbufsamps

int OPARMS::outbufsamps

## outfilename

char * OPARMS::outfilename

## outformat

int OPARMS::outformat

## playscore

CORFIL* OPARMS::playscore

## postscript

int OPARMS::postscript

## quality

double OPARMS::quality

## realtime

int OPARMS::realtime

## rewrt_hdr

int OPARMS::rewrt_hdr

## ringbell

int OPARMS::ringbell

## RMidiin

int OPARMS::RMidiin

## RTevents

int OPARMS::RTevents

## sampleAccurate

int OPARMS::sampleAccurate

## sfheader

int OPARMS::sfheader

## sfread

int OPARMS::sfread

## sfsampsize

int OPARMS::sfsampsize

## sfwrite

int OPARMS::sfwrite

## sr_default

float OPARMS::sr_default

## sr_override

float OPARMS::sr_override

## syntaxCheckOnly

int OPARMS::syntaxCheckOnly

## termifend

int OPARMS::termifend

## useCsdLineCounts

int OPARMS::useCsdLineCounts

## usingcscore

int OPARMS::usingcscore